Bug 1675288 - libldb: FTBFS in Fedora rawhide/f30
Summary: libldb: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: doxygen
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 20:43 UTC by Fedora Release Engineering
Modified: 2019-02-13 10:37 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-12 13:09:53 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 20:43 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 20:43 UTC, Fedora Release Engineering
no flags Details
state.log (617 bytes, text/plain)
2019-02-11 20:43 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 20:43:20 UTC
libldb failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32408625


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix libldb at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
libldb will be orphaned. Before branching of Fedora 31,
libldb will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 20:43:23 UTC
Created attachment 1530966 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 20:43:25 UTC
Created attachment 1530967 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 20:43:26 UTC
Created attachment 1530968 [details]
state.log

Comment 4 Lukas Slebodnik 2019-02-12 09:10:44 UTC
(In reply to Fedora Release Engineering from comment #1)
> Created attachment 1530966 [details]
> build.log
> 
> file build.log too big, will only attach last 1024 bytes

*dn) (function) of file ldb.h is not documented.
BUILDSTDERR: /builddir/build/BUILD/ldb-1.5.2/include/ldb.h:2340: warning: Member ldb_val_string_cmp(const struct ldb_val *v, const char *str) (function) of file ldb.h is not documented.
BUILDSTDERR: /var/tmp/rpm-tmp.evMPiF: line 79: 14723 Segmentation fault      (core dumped) doxygen Doxyfile

doxygen crashed therefore moving to different component.

Comment 5 Lukas Slebodnik 2019-02-12 10:56:43 UTC
It failed on all architectures.

Tested with scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=32759532

Comment 6 Ngo Than 2019-02-12 13:09:53 UTC
it's fixed in 1:1.8.15-5. Thanks for your report

Comment 7 Lukas Slebodnik 2019-02-13 10:37:05 UTC
Thank you,
libldb build passed for me https://koji.fedoraproject.org/koji/buildinfo?buildID=1191126


Note You need to log in before you can comment on or make changes to this bug.